package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.NavigationPackage;


/**
*  service接口类
*/
public interface NavigationPackageService{

    List<NavigationPackage> getNavigationPackageList(NavigationPackage record);

    List<NavigationPackage> getNavigationPackageByPage(Page page, NavigationPackage record);

    NavigationPackage getNavigationPackageById(String id);

    NavigationPackage getNavigationPackage(NavigationPackage record);

    boolean createNavigationPackage(NavigationPackage record);

    boolean deleteNavigationPackage(NavigationPackage record);

    boolean updateNavigationPackage(NavigationPackage record);

    NavigationPackage getBoughtNavigationPackage(NavigationPackage record);
}

